Browse code

pkg/deb: add jessie, wheezy and precise distributions

Victor Seva authored on 07/04/2014 15:08:13
Showing 39 changed files
1 1
new file mode 100644
... ...
@@ -0,0 +1,112 @@
1
+sems (1.6.0~dev) unstable; urgency=medium
2
+
3
+  * Devel version
4
+
5
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 03 Apr 2014 17:52:53 +0200
6
+
7
+sems (1.5.0) maverick; urgency=low
8
+
9
+  * Core
10
+    - configurable SIP timers (global)
11
+    - timer C support (mainly for SBC)
12
+    - SUBSCRIBE/NOTIFY support
13
+    - multi-mime bodies
14
+    - wideband / multiple sample frequency support
15
+    - multiple destinations (faked SRV record)
16
+    - DNS SRV: support for 503 replies
17
+    - multi-threaded RTP receiver
18
+    - complete rework of offer/answer mechanisms
19
+
20
+  * Codecs:
21
+    - iSAC
22
+    - SILK
23
+    - SPEEX 16kHz, 32kHz
24
+    - G722
25
+    - L16
26
+
27
+  * SBC
28
+    - audio & dtmf transcoder
29
+    - call-control modules
30
+    - lots of small improvements
31
+
32
+  * Monitoring
33
+    - munin plugin
34
+
35
+  * DSM
36
+    - mod_xml: XML handling
37
+    - mod_curl: HTTP requests
38
+    - mod_subscription: SUBSCRIBE/NOTIFY
39
+    - mod_regex: regular expressions
40
+    - lots of small improvements
41
+
42
+  * App Plug-ins
43
+    - db_reg_agent: register SIP accounts from a DB
44
+    - rtmp: RTMP gateway
45
+
46
+ -- Raphael Coeffic <rco@iptel.org>  Tue, 03 Jul 2012 15:06:08 +0200
47
+
48
+sems (1.4.0) maverick; urgency=low
49
+
50
+  * SEMS 1.4.0 release
51
+
52
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 15 Mar 2011 11:13:05 +0100
53
+
54
+sems (1.3.0) unstable; urgency=low
55
+
56
+   * 100rel (PRACK) support
57
+   * DNS cache, lb on SRV records 
58
+   * B2B with Session Timer
59
+   * json-rpc v2 module
60
+   * SIP stack moved into core
61
+   * optimizations, especially for signaling
62
+   * many DSM improvements 
63
+
64
+ --  Stefan Sayer <stefan.sayer@frafos.com>  Sun, 26 Sep 2010 17:35:22 -0400
65
+
66
+sems (1.2.0) unstable; urgency=low
67
+
68
+  * SEMS 1.2.0 release
69
+
70
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 30 Mar 2010 21:46:39 +0200
71
+
72
+sems (1.1.1) unstable; urgency=low
73
+
74
+  * SEMS 1.1.1 bugfix release   - fixed Via HF missing the port number
75
+    in ACK to 200 reply  - do not try to scale too short RTP packets  -
76
+    fixed initialization of SSL - caused random crashing of xmlrpc
77
+    server  - fix size() for AmArg struct type  - authenticate on both
78
+    401 and 407 reply in click2dial  - fixed ssl build dependency for
79
+    DIAMETER client in deb
80
+
81
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 07 Jul 2009 15:13:24 +0200
82
+
83
+sems (1.1.0-1) unstable; urgency=low
84
+
85
+  * DSM state machine scripting (it's cool!)
86
+  * an (experimental) ISDN gateway module
87
+  * binrpc: MT (SER->) and connection pool (->SER)
88
+  * MT xmlrpc server
89
+  * controlled server shutdown
90
+  * improved logging
91
+  * g722 in 8khz compat mode
92
+  * out of dialog request handling for modules & dialogs without
93
+    sessions
94
+  * audio file autorewind, AmAudio mixing
95
+  * SIP and media IP separately configurable
96
+  * UID/DID support for voicemail/-box/annrecorder
97
+  * and quite some bugs and mem leaks fixed, documentation, etc. 
98
+
99
+ -- Stefan Sayer <sayer@iptel.org>  Tue, 20 Jan 2009 18:11:25 +0100
100
+
101
+sems (1.1.0-0rc1) unstable; urgency=low
102
+
103
+  * Debian Release Candidate 1 for 1.1.
104
+
105
+ -- Stefan Sayer <sayer@iptel.org>  Mon, 8 Dec 2008 23:01:40 +0200
106
+
107
+sems (1.0.0-0pre1-r856M) unstable; urgency=low
108
+
109
+  * Debian Release Candidate 1 for 1.0.
110
+
111
+ -- Stefan Sayer <sayer@iptel.org>  Sun, 2 Mar 2002 23:41:31 +0200
112
+
0 113
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+9
0 2
new file mode 100644
... ...
@@ -0,0 +1,54 @@
1
+Source: sems
2
+Section: net
3
+Priority: optional
4
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
5
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
6
+Build-Depends: debhelper (>= 9~),
7
+               flite-dev,
8
+               libcurl4-openssl-dev | libcurl4-gnutls-dev,
9
+               libev-dev,
10
+               libevent-dev (>= 2.0.0),
11
+               libhiredis-dev,
12
+               libmysql++-dev,
13
+               libspandsp-dev,
14
+               libspeex-dev,
15
+               libssl-dev,
16
+               libxml2-dev,
17
+               openssl,
18
+               python-dev,
19
+               python-sip-dev
20
+Standards-Version: 3.9.5
21
+
22
+Package: sems
23
+Architecture: any
24
+Depends: adduser, python, ${misc:Depends}, ${shlibs:Depends}
25
+Description: SIP Express Media Server, very fast and flexible SIP media server
26
+ SEMS, the SIP Express Media Server, is a free, high performance,
27
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
28
+ features voicemail, conferencing, announcements, pre-call announcements,
29
+ prepaid service, calling card service etc.
30
+
31
+Package: sems-dbg
32
+Architecture: any
33
+Section: debug
34
+Priority: extra
35
+Depends: sems (= ${binary:Version}), ${misc:Depends}
36
+Description: Debugging symbols for Sems SIP Express Media Server
37
+ SEMS, the SIP Express Media Server, is a free, high performance,
38
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
39
+ features voicemail, conferencing, announcements, pre-call announcements,
40
+ prepaid service, calling card service etc.
41
+ .
42
+ This package contains the debugging sysmbols.
43
+
44
+Package: libsems1-dev
45
+Architecture: any
46
+Section: libdevel
47
+Depends: ${misc:Depends}
48
+Description: development files for SIP Express Media Server
49
+ SEMS, the SIP Express Media Server, is a free, high performance,
50
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
51
+ features voicemail, conferencing, announcements, pre-call announcements,
52
+ prepaid service, calling card service etc.
53
+ .
54
+ This package contains the files needed to compile sems applications.
0 55
new file mode 100644
... ...
@@ -0,0 +1,34 @@
1
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
2
+Upstream-Name: SEMS
3
+Upstream-Contact: semsdev@lists.iptel.org
4
+Source: http://www.iptel.org/sems
5
+
6
+Files: *
7
+Copyright:
8
+ 2005-2014 Raphael Coeffic <rco@iptel.org>
9
+ 2010-2014 FRAFOS GmbH
10
+ 2005-2014 Stefan Sayer <stefan.sayer@frafos.com>
11
+ 2002-2005 FhG Fokus
12
+ 2006-2010 iptelorg GmbH
13
+ 2007-2009 IPTEGO GmbH
14
+ 2007-2013 Juha Heinanen <jh@tutpro.com>
15
+ 2007 Andreas Granig <agranig@sipwise.com>
16
+ 2009-2010 TelTech Systems Inc.
17
+ 2006-2007 Maxim Sobolev <sobomax@sippysoft.com>
18
+ 2010 Anton Zagorskiy amberovsky@gmail.com
19
+ 2011-2012 Peter Lemenkov <lemenkov@gmail.com>
20
+ Various others (see README file)
21
+License: GPL-2.0+ OpenSSL exception
22
+ On Debian systems, the full text of the GNU General Public
23
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
24
+ * Exception: permission to copy, modify, propagate, and distribute a work
25
+ * formed by combining OpenSSL toolkit software and the code in this file,
26
+ * such as linking with software components and libraries released under
27
+ * OpenSSL project license.
28
+
29
+Files: debian/*
30
+Copyright: 2014 Victor Seva <linuxmaniac@torreviejawireless.org>
31
+           2008-2014, Stefan Sayer <stefan.sayer@frafos.com>
32
+License: GPL-2+
33
+ On Debian systems, the full text of the GNU General Public
34
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
0 35
new file mode 100644
... ...
@@ -0,0 +1,13 @@
1
+Makefile.defs usr/include/sems/
2
+core/*.h usr/include/sems/
3
+core/SampleArray.cc usr/include/sems/
4
+core/amci usr/include/sems/
5
+core/ampi usr/include/sems/
6
+core/compat/*.c usr/include/sems/compat/
7
+core/compat/*.h usr/include/sems/compat/
8
+core/compat/getarch usr/include/sems/compat/
9
+core/compat/getos usr/include/sems/compat/
10
+core/plug-in/Makefile.app_module usr/include/sems/plug-in/
11
+core/plug-in/Makefile.audio_module usr/include/sems/plug-in/
12
+core/rtp usr/include/sems/
13
+core/sip/*.h usr/include/sems/sip/
0 14
new file mode 100755
... ...
@@ -0,0 +1,42 @@
1
+#!/usr/bin/make -f
2
+# -*- makefile -*-
3
+
4
+# Uncomment this to turn on verbose mode.
5
+export DH_VERBOSE=1
6
+
7
+PYTHON_MODULES=ivr conf_auth mailbox pin_collect
8
+
9
+EXCLUDED_MODULES=gateway examples mp3 twit
10
+
11
+EXCLUDED_DSM_MODULES=mod_aws
12
+EXCLUDED_DSM_PY_MODULES=mod_aws mod_py
13
+
14
+CPPFLAGS += -DHAVE_XMLRPCPP_SSL
15
+
16
+export USE_SPANDSP=yes LONG_DEBUG_MESSAGE=yes CPPFLAGS="$(CPPFLAGS)"
17
+
18
+%:
19
+	dh $@
20
+
21
+override_dh_auto_build:
22
+	$(MAKE) \
23
+	cfg-target=/etc/sems/ prefix=/usr \
24
+	exclude_app_modules="$(EXCLUDED_MODULES)" \
25
+	exclude_dsm_modules="$(EXCLUDED_DSM_MODULES)" \
26
+	DESTDIR=$(CURDIR)/debian/sems
27
+
28
+override_dh_auto_install:
29
+	$(MAKE) -C core/ install \
30
+		DESTDIR=$(CURDIR)/debian/sems \
31
+		prefix=/usr \
32
+		cfg-target=/etc/sems/
33
+
34
+	$(MAKE) -C apps/ install \
35
+		exclude_app_modules="$(EXCLUDED_MODULES) $(PYTHON_MODULES)" \
36
+		exclude_dsm_modules="$(EXCLUDED_DSM_PY_MODULES)" \
37
+		DESTDIR=$(CURDIR)/debian/sems \
38
+		prefix=/usr \
39
+		cfg-target=/etc/sems/
40
+
41
+override_dh_strip:
42
+	dh_strip --dbg-package=sems-dbg
0 43
new file mode 100644
... ...
@@ -0,0 +1,25 @@
1
+# configuration for SEMS - SIP Express Media Server
2
+#
3
+# this file is sourced by SEMS init script /etc/init.d/sems
4
+
5
+# Don't start with default config as we need to deploy the ngcp-templates first
6
+SEMS_RUN="no"
7
+
8
+# ser configuration file
9
+SEMS_CFG_FILE="/etc/sems/sems.conf"
10
+
11
+# user to run SEMS as
12
+SEMS_USER="sems"
13
+
14
+# group to run SEMS as
15
+SEMS_GROUP="sems"
16
+
17
+SEMS_RUNDIR="/var/run/sems"
18
+
19
+# sems pidfile
20
+SEMS_PIDFILE="$SEMS_RUNDIR/sems.pid"
21
+
22
+# set if you want to create core files
23
+SEMS_CREATE_CORE="yes"
24
+
25
+SEMS_COREDIR="/var/cores"
0 26
new file mode 100644
... ...
@@ -0,0 +1,108 @@
1
+#! /bin/sh
2
+### BEGIN INIT INFO
3
+# Provides:          sems
4
+# Required-Start:    $local_fs $remote_fs $network $syslog
5
+# Required-Stop:     $local_fs $remote_fs $network $syslog
6
+# Default-Start:     2 3 4 5
7
+# Default-Stop:      0 1 6
8
+# Short-Description: Start/stop SEMS Application Server
9
+### END INIT INFO
10
+
11
+. /lib/lsb/init-functions
12
+
13
+# read configuration from /etc/default/sems file
14
+if test -f /etc/default/sems ; then
15
+  . /etc/default/sems
16
+fi
17
+
18
+
19
+if test "$SEMS_RUN" = "no" ; then
20
+    log_failure_msg "Sems start disabled by default file"
21
+    exit 0
22
+fi
23
+
24
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
25
+DAEMON=/usr/sbin/sems
26
+NAME=sems
27
+DESC=sems
28
+
29
+PARAMS=""
30
+
31
+if ! test -d $SEMS_RUNDIR ; then
32
+   mkdir $SEMS_RUNDIR
33
+fi
34
+chown $SEMS_USER:$SEMS_GROUP $SEMS_RUNDIR
35
+
36
+if test "$SEMS_PIDFILE" ; then
37
+  PARAMS="$PARAMS -P $SEMS_PIDFILE"
38
+fi
39
+
40
+if test "$SEMS_USER" ; then
41
+  PARAMS="$PARAMS -u $SEMS_USER"
42
+fi
43
+
44
+if test "$SEMS_GROUP" ; then
45
+  PARAMS="$PARAMS -g $SEMS_GROUP"
46
+fi
47
+
48
+if test "$SEMS_CFG_FILE" ; then
49
+  PARAMS="$PARAMS -f $SEMS_CFG_FILE"
50
+  CFGPARAMS="-f $SEMS_CFG_FILE"
51
+fi
52
+
53
+if test "$SEMS_CREATE_CORE" = "yes" ; then
54
+	# directory for the core dump files
55
+	[ -d $SEMS_COREDIR ] || mkdir $SEMS_COREDIR
56
+	chmod 777 $SEMS_COREDIR
57
+	echo "$SEMS_COREDIR/core.%e.sig%s.%p" > /proc/sys/kernel/core_pattern
58
+	echo 2 > /proc/sys/fs/suid_dumpable
59
+	ulimit -c unlimited
60
+fi
61
+
62
+# raise file descriptors limit - call hold consumes two fds for RTP ports and one for moh file
63
+ulimit -n 100000
64
+
65
+if ! test -f $DAEMON ; then
66
+  log_failure_msg "Error: cannot find $DAEMON"
67
+  exit 1
68
+fi
69
+
70
+LD_LIBRARY_PATH=/usr/lib/sems
71
+export LD_LIBRARY_PATH
72
+
73
+set -e
74
+
75
+case "$1" in
76
+  start)
77
+	log_daemon_msg "Starting $DESC: $NAME "
78
+	start-stop-daemon --start --quiet --oknodo --pidfile $SEMS_PIDFILE \
79
+		--exec $DAEMON -- $PARAMS
80
+	log_end_msg $?
81
+	;;
82
+  stop)
83
+	log_daemon_msg "Stopping $DESC: $NAME "
84
+	start-stop-daemon --oknodo --stop --quiet --pidfile $SEMS_PIDFILE \
85
+		--exec $DAEMON
86
+	log_end_msg $?
87
+	;;
88
+  restart|force-reload)
89
+	log_daemon_msg "Restarting $DESC: $NAME "
90
+	start-stop-daemon --oknodo --stop --quiet --pidfile \
91
+		$SEMS_PIDFILE --exec $DAEMON
92
+	sleep 5
93
+	start-stop-daemon --start --quiet --pidfile \
94
+		$SEMS_PIDFILE --exec $DAEMON  -- $PARAMS
95
+	echo "."
96
+	;;
97
+  status)
98
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
99
+       ;;
100
+  *)
101
+	N=/etc/init.d/$NAME
102
+	echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
103
+	exit 1
104
+	;;
105
+esac
106
+
107
+exit 0
108
+
0 109
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+sems: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1,25 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+# don't do anything when called with other argument than configure
6
+case "$1" in
7
+  configure)
8
+  ;;
9
+  abort-upgrade|abort-remove|abort-deconfigure)
10
+    exit 0
11
+  ;;
12
+  *)
13
+    echo "postinst called with unknown argument \$1'" >&2
14
+    exit 1
15
+  ;;
16
+esac
17
+
18
+# add sems user
19
+adduser --quiet --system --group --disabled-password --shell /bin/false \
20
+--gecos "SIP Express Media Server" --home /var/run/sems sems || true
21
+
22
+#DEBHELPER#
23
+
24
+exit 0
25
+
0 26
new file mode 100644
... ...
@@ -0,0 +1,18 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+#DEBHELPER#
6
+
7
+if [ "$1" = "purge" ] ; then
8
+  # remove user/group on purge
9
+  if [ -x "$(command -v deluser)" ]; then
10
+    deluser --quiet --remove-home sems >/dev/null 2>&1 || true
11
+  else
12
+    echo >&2 "not removing sems system account because deluser command was not found"
13
+  fi
14
+  # remove /etc/sems if empty
15
+  rmdir /etc/sems || true
16
+fi
17
+
18
+exit 0
0 19
new file mode 100644
1 20
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+3.0 (native)
0 2
new file mode 100644
... ...
@@ -0,0 +1,112 @@
1
+sems (1.6.0~dev) unstable; urgency=medium
2
+
3
+  * Devel version
4
+
5
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 03 Apr 2014 17:52:53 +0200
6
+
7
+sems (1.5.0) maverick; urgency=low
8
+
9
+  * Core
10
+    - configurable SIP timers (global)
11
+    - timer C support (mainly for SBC)
12
+    - SUBSCRIBE/NOTIFY support
13
+    - multi-mime bodies
14
+    - wideband / multiple sample frequency support
15
+    - multiple destinations (faked SRV record)
16
+    - DNS SRV: support for 503 replies
17
+    - multi-threaded RTP receiver
18
+    - complete rework of offer/answer mechanisms
19
+
20
+  * Codecs:
21
+    - iSAC
22
+    - SILK
23
+    - SPEEX 16kHz, 32kHz
24
+    - G722
25
+    - L16
26
+
27
+  * SBC
28
+    - audio & dtmf transcoder
29
+    - call-control modules
30
+    - lots of small improvements
31
+
32
+  * Monitoring
33
+    - munin plugin
34
+
35
+  * DSM
36
+    - mod_xml: XML handling
37
+    - mod_curl: HTTP requests
38
+    - mod_subscription: SUBSCRIBE/NOTIFY
39
+    - mod_regex: regular expressions
40
+    - lots of small improvements
41
+
42
+  * App Plug-ins
43
+    - db_reg_agent: register SIP accounts from a DB
44
+    - rtmp: RTMP gateway
45
+
46
+ -- Raphael Coeffic <rco@iptel.org>  Tue, 03 Jul 2012 15:06:08 +0200
47
+
48
+sems (1.4.0) maverick; urgency=low
49
+
50
+  * SEMS 1.4.0 release
51
+
52
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 15 Mar 2011 11:13:05 +0100
53
+
54
+sems (1.3.0) unstable; urgency=low
55
+
56
+   * 100rel (PRACK) support
57
+   * DNS cache, lb on SRV records 
58
+   * B2B with Session Timer
59
+   * json-rpc v2 module
60
+   * SIP stack moved into core
61
+   * optimizations, especially for signaling
62
+   * many DSM improvements 
63
+
64
+ --  Stefan Sayer <stefan.sayer@frafos.com>  Sun, 26 Sep 2010 17:35:22 -0400
65
+
66
+sems (1.2.0) unstable; urgency=low
67
+
68
+  * SEMS 1.2.0 release
69
+
70
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 30 Mar 2010 21:46:39 +0200
71
+
72
+sems (1.1.1) unstable; urgency=low
73
+
74
+  * SEMS 1.1.1 bugfix release   - fixed Via HF missing the port number
75
+    in ACK to 200 reply  - do not try to scale too short RTP packets  -
76
+    fixed initialization of SSL - caused random crashing of xmlrpc
77
+    server  - fix size() for AmArg struct type  - authenticate on both
78
+    401 and 407 reply in click2dial  - fixed ssl build dependency for
79
+    DIAMETER client in deb
80
+
81
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 07 Jul 2009 15:13:24 +0200
82
+
83
+sems (1.1.0-1) unstable; urgency=low
84
+
85
+  * DSM state machine scripting (it's cool!)
86
+  * an (experimental) ISDN gateway module
87
+  * binrpc: MT (SER->) and connection pool (->SER)
88
+  * MT xmlrpc server
89
+  * controlled server shutdown
90
+  * improved logging
91
+  * g722 in 8khz compat mode
92
+  * out of dialog request handling for modules & dialogs without
93
+    sessions
94
+  * audio file autorewind, AmAudio mixing
95
+  * SIP and media IP separately configurable
96
+  * UID/DID support for voicemail/-box/annrecorder
97
+  * and quite some bugs and mem leaks fixed, documentation, etc. 
98
+
99
+ -- Stefan Sayer <sayer@iptel.org>  Tue, 20 Jan 2009 18:11:25 +0100
100
+
101
+sems (1.1.0-0rc1) unstable; urgency=low
102
+
103
+  * Debian Release Candidate 1 for 1.1.
104
+
105
+ -- Stefan Sayer <sayer@iptel.org>  Mon, 8 Dec 2008 23:01:40 +0200
106
+
107
+sems (1.0.0-0pre1-r856M) unstable; urgency=low
108
+
109
+  * Debian Release Candidate 1 for 1.0.
110
+
111
+ -- Stefan Sayer <sayer@iptel.org>  Sun, 2 Mar 2002 23:41:31 +0200
112
+
0 113
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+9
0 2
new file mode 100644
... ...
@@ -0,0 +1,54 @@
1
+Source: sems
2
+Section: net
3
+Priority: optional
4
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
5
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
6
+Build-Depends: debhelper (>= 9~),
7
+               flite-dev,
8
+               libcurl4-openssl-dev | libcurl4-gnutls-dev,
9
+               libev-dev,
10
+               libevent-dev (>= 2.0.0),
11
+               libhiredis-dev,
12
+               libmysql++-dev,
13
+               libspandsp-dev,
14
+               libspeex-dev,
15
+               libssl-dev,
16
+               libxml2-dev,
17
+               openssl,
18
+               python-dev,
19
+               python-sip-dev
20
+Standards-Version: 3.9.5
21
+
22
+Package: sems
23
+Architecture: any
24
+Depends: adduser, python, ${misc:Depends}, ${shlibs:Depends}
25
+Description: SIP Express Media Server, very fast and flexible SIP media server
26
+ SEMS, the SIP Express Media Server, is a free, high performance,
27
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
28
+ features voicemail, conferencing, announcements, pre-call announcements,
29
+ prepaid service, calling card service etc.
30
+
31
+Package: sems-dbg
32
+Architecture: any
33
+Section: debug
34
+Priority: extra
35
+Depends: sems (= ${binary:Version}), ${misc:Depends}
36
+Description: Debugging symbols for Sems SIP Express Media Server
37
+ SEMS, the SIP Express Media Server, is a free, high performance,
38
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
39
+ features voicemail, conferencing, announcements, pre-call announcements,
40
+ prepaid service, calling card service etc.
41
+ .
42
+ This package contains the debugging sysmbols.
43
+
44
+Package: libsems1-dev
45
+Architecture: any
46
+Section: libdevel
47
+Depends: ${misc:Depends}
48
+Description: development files for SIP Express Media Server
49
+ SEMS, the SIP Express Media Server, is a free, high performance,
50
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
51
+ features voicemail, conferencing, announcements, pre-call announcements,
52
+ prepaid service, calling card service etc.
53
+ .
54
+ This package contains the files needed to compile sems applications.
0 55
new file mode 100644
... ...
@@ -0,0 +1,34 @@
1
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
2
+Upstream-Name: SEMS
3
+Upstream-Contact: semsdev@lists.iptel.org
4
+Source: http://www.iptel.org/sems
5
+
6
+Files: *
7
+Copyright:
8
+ 2005-2014 Raphael Coeffic <rco@iptel.org>
9
+ 2010-2014 FRAFOS GmbH
10
+ 2005-2014 Stefan Sayer <stefan.sayer@frafos.com>
11
+ 2002-2005 FhG Fokus
12
+ 2006-2010 iptelorg GmbH
13
+ 2007-2009 IPTEGO GmbH
14
+ 2007-2013 Juha Heinanen <jh@tutpro.com>
15
+ 2007 Andreas Granig <agranig@sipwise.com>
16
+ 2009-2010 TelTech Systems Inc.
17
+ 2006-2007 Maxim Sobolev <sobomax@sippysoft.com>
18
+ 2010 Anton Zagorskiy amberovsky@gmail.com
19
+ 2011-2012 Peter Lemenkov <lemenkov@gmail.com>
20
+ Various others (see README file)
21
+License: GPL-2.0+ OpenSSL exception
22
+ On Debian systems, the full text of the GNU General Public
23
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
24
+ * Exception: permission to copy, modify, propagate, and distribute a work
25
+ * formed by combining OpenSSL toolkit software and the code in this file,
26
+ * such as linking with software components and libraries released under
27
+ * OpenSSL project license.
28
+
29
+Files: debian/*
30
+Copyright: 2014 Victor Seva <linuxmaniac@torreviejawireless.org>
31
+           2008-2014, Stefan Sayer <stefan.sayer@frafos.com>
32
+License: GPL-2+
33
+ On Debian systems, the full text of the GNU General Public
34
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
0 35
new file mode 100644
... ...
@@ -0,0 +1,13 @@
1
+Makefile.defs usr/include/sems/
2
+core/*.h usr/include/sems/
3
+core/SampleArray.cc usr/include/sems/
4
+core/amci usr/include/sems/
5
+core/ampi usr/include/sems/
6
+core/compat/*.c usr/include/sems/compat/
7
+core/compat/*.h usr/include/sems/compat/
8
+core/compat/getarch usr/include/sems/compat/
9
+core/compat/getos usr/include/sems/compat/
10
+core/plug-in/Makefile.app_module usr/include/sems/plug-in/
11
+core/plug-in/Makefile.audio_module usr/include/sems/plug-in/
12
+core/rtp usr/include/sems/
13
+core/sip/*.h usr/include/sems/sip/
0 14
new file mode 100755
... ...
@@ -0,0 +1,42 @@
1
+#!/usr/bin/make -f
2
+# -*- makefile -*-
3
+
4
+# Uncomment this to turn on verbose mode.
5
+export DH_VERBOSE=1
6
+
7
+PYTHON_MODULES=ivr conf_auth mailbox pin_collect
8
+
9
+EXCLUDED_MODULES=gateway examples mp3 twit
10
+
11
+EXCLUDED_DSM_MODULES=mod_aws
12
+EXCLUDED_DSM_PY_MODULES=mod_aws mod_py
13
+
14
+CPPFLAGS += -DHAVE_XMLRPCPP_SSL
15
+
16
+export USE_SPANDSP=yes LONG_DEBUG_MESSAGE=yes CPPFLAGS="$(CPPFLAGS)"
17
+
18
+%:
19
+	dh $@
20
+
21
+override_dh_auto_build:
22
+	$(MAKE) \
23
+	cfg-target=/etc/sems/ prefix=/usr \
24
+	exclude_app_modules="$(EXCLUDED_MODULES)" \
25
+	exclude_dsm_modules="$(EXCLUDED_DSM_MODULES)" \
26
+	DESTDIR=$(CURDIR)/debian/sems
27
+
28
+override_dh_auto_install:
29
+	$(MAKE) -C core/ install \
30
+		DESTDIR=$(CURDIR)/debian/sems \
31
+		prefix=/usr \
32
+		cfg-target=/etc/sems/
33
+
34
+	$(MAKE) -C apps/ install \
35
+		exclude_app_modules="$(EXCLUDED_MODULES) $(PYTHON_MODULES)" \
36
+		exclude_dsm_modules="$(EXCLUDED_DSM_PY_MODULES)" \
37
+		DESTDIR=$(CURDIR)/debian/sems \
38
+		prefix=/usr \
39
+		cfg-target=/etc/sems/
40
+
41
+override_dh_strip:
42
+	dh_strip --dbg-package=sems-dbg
0 43
new file mode 100644
... ...
@@ -0,0 +1,25 @@
1
+# configuration for SEMS - SIP Express Media Server
2
+#
3
+# this file is sourced by SEMS init script /etc/init.d/sems
4
+
5
+# Don't start with default config as we need to deploy the ngcp-templates first
6
+SEMS_RUN="no"
7
+
8
+# ser configuration file
9
+SEMS_CFG_FILE="/etc/sems/sems.conf"
10
+
11
+# user to run SEMS as
12
+SEMS_USER="sems"
13
+
14
+# group to run SEMS as
15
+SEMS_GROUP="sems"
16
+
17
+SEMS_RUNDIR="/var/run/sems"
18
+
19
+# sems pidfile
20
+SEMS_PIDFILE="$SEMS_RUNDIR/sems.pid"
21
+
22
+# set if you want to create core files
23
+SEMS_CREATE_CORE="yes"
24
+
25
+SEMS_COREDIR="/var/cores"
0 26
new file mode 100644
... ...
@@ -0,0 +1,108 @@
1
+#! /bin/sh
2
+### BEGIN INIT INFO
3
+# Provides:          sems
4
+# Required-Start:    $local_fs $remote_fs $network $syslog
5
+# Required-Stop:     $local_fs $remote_fs $network $syslog
6
+# Default-Start:     2 3 4 5
7
+# Default-Stop:      0 1 6
8
+# Short-Description: Start/stop SEMS Application Server
9
+### END INIT INFO
10
+
11
+. /lib/lsb/init-functions
12
+
13
+# read configuration from /etc/default/sems file
14
+if test -f /etc/default/sems ; then
15
+  . /etc/default/sems
16
+fi
17
+
18
+
19
+if test "$SEMS_RUN" = "no" ; then
20
+    log_failure_msg "Sems start disabled by default file"
21
+    exit 0
22
+fi
23
+
24
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
25
+DAEMON=/usr/sbin/sems
26
+NAME=sems
27
+DESC=sems
28
+
29
+PARAMS=""
30
+
31
+if ! test -d $SEMS_RUNDIR ; then
32
+   mkdir $SEMS_RUNDIR
33
+fi
34
+chown $SEMS_USER:$SEMS_GROUP $SEMS_RUNDIR
35
+
36
+if test "$SEMS_PIDFILE" ; then
37
+  PARAMS="$PARAMS -P $SEMS_PIDFILE"
38
+fi
39
+
40
+if test "$SEMS_USER" ; then
41
+  PARAMS="$PARAMS -u $SEMS_USER"
42
+fi
43
+
44
+if test "$SEMS_GROUP" ; then
45
+  PARAMS="$PARAMS -g $SEMS_GROUP"
46
+fi
47
+
48
+if test "$SEMS_CFG_FILE" ; then
49
+  PARAMS="$PARAMS -f $SEMS_CFG_FILE"
50
+  CFGPARAMS="-f $SEMS_CFG_FILE"
51
+fi
52
+
53
+if test "$SEMS_CREATE_CORE" = "yes" ; then
54
+	# directory for the core dump files
55
+	[ -d $SEMS_COREDIR ] || mkdir $SEMS_COREDIR
56
+	chmod 777 $SEMS_COREDIR
57
+	echo "$SEMS_COREDIR/core.%e.sig%s.%p" > /proc/sys/kernel/core_pattern
58
+	echo 2 > /proc/sys/fs/suid_dumpable
59
+	ulimit -c unlimited
60
+fi
61
+
62
+# raise file descriptors limit - call hold consumes two fds for RTP ports and one for moh file
63
+ulimit -n 100000
64
+
65
+if ! test -f $DAEMON ; then
66
+  log_failure_msg "Error: cannot find $DAEMON"
67
+  exit 1
68
+fi
69
+
70
+LD_LIBRARY_PATH=/usr/lib/sems
71
+export LD_LIBRARY_PATH
72
+
73
+set -e
74
+
75
+case "$1" in
76
+  start)
77
+	log_daemon_msg "Starting $DESC: $NAME "
78
+	start-stop-daemon --start --quiet --oknodo --pidfile $SEMS_PIDFILE \
79
+		--exec $DAEMON -- $PARAMS
80
+	log_end_msg $?
81
+	;;
82
+  stop)
83
+	log_daemon_msg "Stopping $DESC: $NAME "
84
+	start-stop-daemon --oknodo --stop --quiet --pidfile $SEMS_PIDFILE \
85
+		--exec $DAEMON
86
+	log_end_msg $?
87
+	;;
88
+  restart|force-reload)
89
+	log_daemon_msg "Restarting $DESC: $NAME "
90
+	start-stop-daemon --oknodo --stop --quiet --pidfile \
91
+		$SEMS_PIDFILE --exec $DAEMON
92
+	sleep 5
93
+	start-stop-daemon --start --quiet --pidfile \
94
+		$SEMS_PIDFILE --exec $DAEMON  -- $PARAMS
95
+	echo "."
96
+	;;
97
+  status)
98
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
99
+       ;;
100
+  *)
101
+	N=/etc/init.d/$NAME
102
+	echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
103
+	exit 1
104
+	;;
105
+esac
106
+
107
+exit 0
108
+
0 109
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+sems: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1,25 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+# don't do anything when called with other argument than configure
6
+case "$1" in
7
+  configure)
8
+  ;;
9
+  abort-upgrade|abort-remove|abort-deconfigure)
10
+    exit 0
11
+  ;;
12
+  *)
13
+    echo "postinst called with unknown argument \$1'" >&2
14
+    exit 1
15
+  ;;
16
+esac
17
+
18
+# add sems user
19
+adduser --quiet --system --group --disabled-password --shell /bin/false \
20
+--gecos "SIP Express Media Server" --home /var/run/sems sems || true
21
+
22
+#DEBHELPER#
23
+
24
+exit 0
25
+
0 26
new file mode 100644
... ...
@@ -0,0 +1,18 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+#DEBHELPER#
6
+
7
+if [ "$1" = "purge" ] ; then
8
+  # remove user/group on purge
9
+  if [ -x "$(command -v deluser)" ]; then
10
+    deluser --quiet --remove-home sems >/dev/null 2>&1 || true
11
+  else
12
+    echo >&2 "not removing sems system account because deluser command was not found"
13
+  fi
14
+  # remove /etc/sems if empty
15
+  rmdir /etc/sems || true
16
+fi
17
+
18
+exit 0
0 19
new file mode 100644
1 20
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+3.0 (native)
0 2
new file mode 100644
... ...
@@ -0,0 +1,112 @@
1
+sems (1.6.0~dev) unstable; urgency=medium
2
+
3
+  * Devel version
4
+
5
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 03 Apr 2014 17:52:53 +0200
6
+
7
+sems (1.5.0) maverick; urgency=low
8
+
9
+  * Core
10
+    - configurable SIP timers (global)
11
+    - timer C support (mainly for SBC)
12
+    - SUBSCRIBE/NOTIFY support
13
+    - multi-mime bodies
14
+    - wideband / multiple sample frequency support
15
+    - multiple destinations (faked SRV record)
16
+    - DNS SRV: support for 503 replies
17
+    - multi-threaded RTP receiver
18
+    - complete rework of offer/answer mechanisms
19
+
20
+  * Codecs:
21
+    - iSAC
22
+    - SILK
23
+    - SPEEX 16kHz, 32kHz
24
+    - G722
25
+    - L16
26
+
27
+  * SBC
28
+    - audio & dtmf transcoder
29
+    - call-control modules
30
+    - lots of small improvements
31
+
32
+  * Monitoring
33
+    - munin plugin
34
+
35
+  * DSM
36
+    - mod_xml: XML handling
37
+    - mod_curl: HTTP requests
38
+    - mod_subscription: SUBSCRIBE/NOTIFY
39
+    - mod_regex: regular expressions
40
+    - lots of small improvements
41
+
42
+  * App Plug-ins
43
+    - db_reg_agent: register SIP accounts from a DB
44
+    - rtmp: RTMP gateway
45
+
46
+ -- Raphael Coeffic <rco@iptel.org>  Tue, 03 Jul 2012 15:06:08 +0200
47
+
48
+sems (1.4.0) maverick; urgency=low
49
+
50
+  * SEMS 1.4.0 release
51
+
52
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 15 Mar 2011 11:13:05 +0100
53
+
54
+sems (1.3.0) unstable; urgency=low
55
+
56
+   * 100rel (PRACK) support
57
+   * DNS cache, lb on SRV records 
58
+   * B2B with Session Timer
59
+   * json-rpc v2 module
60
+   * SIP stack moved into core
61
+   * optimizations, especially for signaling
62
+   * many DSM improvements 
63
+
64
+ --  Stefan Sayer <stefan.sayer@frafos.com>  Sun, 26 Sep 2010 17:35:22 -0400
65
+
66
+sems (1.2.0) unstable; urgency=low
67
+
68
+  * SEMS 1.2.0 release
69
+
70
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 30 Mar 2010 21:46:39 +0200
71
+
72
+sems (1.1.1) unstable; urgency=low
73
+
74
+  * SEMS 1.1.1 bugfix release   - fixed Via HF missing the port number
75
+    in ACK to 200 reply  - do not try to scale too short RTP packets  -
76
+    fixed initialization of SSL - caused random crashing of xmlrpc
77
+    server  - fix size() for AmArg struct type  - authenticate on both
78
+    401 and 407 reply in click2dial  - fixed ssl build dependency for
79
+    DIAMETER client in deb
80
+
81
+ -- Stefan Sayer <stefan.sayer@frafos.com>  Tue, 07 Jul 2009 15:13:24 +0200
82
+
83
+sems (1.1.0-1) unstable; urgency=low
84
+
85
+  * DSM state machine scripting (it's cool!)
86
+  * an (experimental) ISDN gateway module
87
+  * binrpc: MT (SER->) and connection pool (->SER)
88
+  * MT xmlrpc server
89
+  * controlled server shutdown
90
+  * improved logging
91
+  * g722 in 8khz compat mode
92
+  * out of dialog request handling for modules & dialogs without
93
+    sessions
94
+  * audio file autorewind, AmAudio mixing
95
+  * SIP and media IP separately configurable
96
+  * UID/DID support for voicemail/-box/annrecorder
97
+  * and quite some bugs and mem leaks fixed, documentation, etc. 
98
+
99
+ -- Stefan Sayer <sayer@iptel.org>  Tue, 20 Jan 2009 18:11:25 +0100
100
+
101
+sems (1.1.0-0rc1) unstable; urgency=low
102
+
103
+  * Debian Release Candidate 1 for 1.1.
104
+
105
+ -- Stefan Sayer <sayer@iptel.org>  Mon, 8 Dec 2008 23:01:40 +0200
106
+
107
+sems (1.0.0-0pre1-r856M) unstable; urgency=low
108
+
109
+  * Debian Release Candidate 1 for 1.0.
110
+
111
+ -- Stefan Sayer <sayer@iptel.org>  Sun, 2 Mar 2002 23:41:31 +0200
112
+
0 113
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+9
0 2
new file mode 100644
... ...
@@ -0,0 +1,54 @@
1
+Source: sems
2
+Section: net
3
+Priority: optional
4
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
5
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
6
+Build-Depends: debhelper (>= 9~),
7
+               flite-dev,
8
+               libcurl4-openssl-dev | libcurl4-gnutls-dev,
9
+               libev-dev,
10
+               libevent-dev (>= 2.0.0),
11
+               libhiredis-dev,
12
+               libmysql++-dev,
13
+               libspandsp-dev,
14
+               libspeex-dev,
15
+               libssl-dev,
16
+               libxml2-dev,
17
+               openssl,
18
+               python-dev,
19
+               python-sip-dev
20
+Standards-Version: 3.9.5
21
+
22
+Package: sems
23
+Architecture: any
24
+Depends: adduser, python, ${misc:Depends}, ${shlibs:Depends}
25
+Description: SIP Express Media Server, very fast and flexible SIP media server
26
+ SEMS, the SIP Express Media Server, is a free, high performance,
27
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
28
+ features voicemail, conferencing, announcements, pre-call announcements,
29
+ prepaid service, calling card service etc.
30
+
31
+Package: sems-dbg
32
+Architecture: any
33
+Section: debug
34
+Priority: extra
35
+Depends: sems (= ${binary:Version}), ${misc:Depends}
36
+Description: Debugging symbols for Sems SIP Express Media Server
37
+ SEMS, the SIP Express Media Server, is a free, high performance,
38
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
39
+ features voicemail, conferencing, announcements, pre-call announcements,
40
+ prepaid service, calling card service etc.
41
+ .
42
+ This package contains the debugging sysmbols.
43
+
44
+Package: libsems1-dev
45
+Architecture: any
46
+Section: libdevel
47
+Depends: ${misc:Depends}
48
+Description: development files for SIP Express Media Server
49
+ SEMS, the SIP Express Media Server, is a free, high performance,
50
+ extensible media server and SBC for SIP (RFC3261) based VoIP  services. It
51
+ features voicemail, conferencing, announcements, pre-call announcements,
52
+ prepaid service, calling card service etc.
53
+ .
54
+ This package contains the files needed to compile sems applications.
0 55
new file mode 100644
... ...
@@ -0,0 +1,34 @@
1
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
2
+Upstream-Name: SEMS
3
+Upstream-Contact: semsdev@lists.iptel.org
4
+Source: http://www.iptel.org/sems
5
+
6
+Files: *
7
+Copyright:
8
+ 2005-2014 Raphael Coeffic <rco@iptel.org>
9
+ 2010-2014 FRAFOS GmbH
10
+ 2005-2014 Stefan Sayer <stefan.sayer@frafos.com>
11
+ 2002-2005 FhG Fokus
12
+ 2006-2010 iptelorg GmbH
13
+ 2007-2009 IPTEGO GmbH
14
+ 2007-2013 Juha Heinanen <jh@tutpro.com>
15
+ 2007 Andreas Granig <agranig@sipwise.com>
16
+ 2009-2010 TelTech Systems Inc.
17
+ 2006-2007 Maxim Sobolev <sobomax@sippysoft.com>
18
+ 2010 Anton Zagorskiy amberovsky@gmail.com
19
+ 2011-2012 Peter Lemenkov <lemenkov@gmail.com>
20
+ Various others (see README file)
21
+License: GPL-2.0+ OpenSSL exception
22
+ On Debian systems, the full text of the GNU General Public
23
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
24
+ * Exception: permission to copy, modify, propagate, and distribute a work
25
+ * formed by combining OpenSSL toolkit software and the code in this file,
26
+ * such as linking with software components and libraries released under
27
+ * OpenSSL project license.
28
+
29
+Files: debian/*
30
+Copyright: 2014 Victor Seva <linuxmaniac@torreviejawireless.org>
31
+           2008-2014, Stefan Sayer <stefan.sayer@frafos.com>
32
+License: GPL-2+
33
+ On Debian systems, the full text of the GNU General Public
34
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
0 35
new file mode 100644
... ...
@@ -0,0 +1,13 @@
1
+Makefile.defs usr/include/sems/
2
+core/*.h usr/include/sems/
3
+core/SampleArray.cc usr/include/sems/
4
+core/amci usr/include/sems/
5
+core/ampi usr/include/sems/
6
+core/compat/*.c usr/include/sems/compat/
7
+core/compat/*.h usr/include/sems/compat/
8
+core/compat/getarch usr/include/sems/compat/
9
+core/compat/getos usr/include/sems/compat/
10
+core/plug-in/Makefile.app_module usr/include/sems/plug-in/
11
+core/plug-in/Makefile.audio_module usr/include/sems/plug-in/
12
+core/rtp usr/include/sems/
13
+core/sip/*.h usr/include/sems/sip/
0 14
new file mode 100755
... ...
@@ -0,0 +1,42 @@
1
+#!/usr/bin/make -f
2
+# -*- makefile -*-
3
+
4
+# Uncomment this to turn on verbose mode.
5
+export DH_VERBOSE=1
6
+
7
+PYTHON_MODULES=ivr conf_auth mailbox pin_collect
8
+
9
+EXCLUDED_MODULES=gateway examples mp3 twit
10
+
11
+EXCLUDED_DSM_MODULES=mod_aws
12
+EXCLUDED_DSM_PY_MODULES=mod_aws mod_py
13
+
14
+CPPFLAGS += -DHAVE_XMLRPCPP_SSL
15
+
16
+export USE_SPANDSP=yes LONG_DEBUG_MESSAGE=yes CPPFLAGS="$(CPPFLAGS)"
17
+
18
+%:
19
+	dh $@
20
+
21
+override_dh_auto_build:
22
+	$(MAKE) \
23
+	cfg-target=/etc/sems/ prefix=/usr \
24
+	exclude_app_modules="$(EXCLUDED_MODULES)" \
25
+	exclude_dsm_modules="$(EXCLUDED_DSM_MODULES)" \
26
+	DESTDIR=$(CURDIR)/debian/sems
27
+
28
+override_dh_auto_install:
29
+	$(MAKE) -C core/ install \
30
+		DESTDIR=$(CURDIR)/debian/sems \
31
+		prefix=/usr \
32
+		cfg-target=/etc/sems/
33
+
34
+	$(MAKE) -C apps/ install \
35
+		exclude_app_modules="$(EXCLUDED_MODULES) $(PYTHON_MODULES)" \
36
+		exclude_dsm_modules="$(EXCLUDED_DSM_PY_MODULES)" \
37
+		DESTDIR=$(CURDIR)/debian/sems \
38
+		prefix=/usr \
39
+		cfg-target=/etc/sems/
40
+
41
+override_dh_strip:
42
+	dh_strip --dbg-package=sems-dbg
0 43
new file mode 100644
... ...
@@ -0,0 +1,25 @@
1
+# configuration for SEMS - SIP Express Media Server
2
+#
3
+# this file is sourced by SEMS init script /etc/init.d/sems
4
+
5
+# Don't start with default config as we need to deploy the ngcp-templates first
6
+SEMS_RUN="no"
7
+
8
+# ser configuration file
9
+SEMS_CFG_FILE="/etc/sems/sems.conf"
10
+
11
+# user to run SEMS as
12
+SEMS_USER="sems"
13
+
14
+# group to run SEMS as
15
+SEMS_GROUP="sems"
16
+
17
+SEMS_RUNDIR="/var/run/sems"
18
+
19
+# sems pidfile
20
+SEMS_PIDFILE="$SEMS_RUNDIR/sems.pid"
21
+
22
+# set if you want to create core files
23
+SEMS_CREATE_CORE="yes"
24
+
25
+SEMS_COREDIR="/var/cores"
0 26
new file mode 100644
... ...
@@ -0,0 +1,108 @@
1
+#! /bin/sh
2
+### BEGIN INIT INFO
3
+# Provides:          sems
4
+# Required-Start:    $local_fs $remote_fs $network $syslog
5
+# Required-Stop:     $local_fs $remote_fs $network $syslog
6
+# Default-Start:     2 3 4 5
7
+# Default-Stop:      0 1 6
8
+# Short-Description: Start/stop SEMS Application Server
9
+### END INIT INFO
10
+
11
+. /lib/lsb/init-functions
12
+
13
+# read configuration from /etc/default/sems file
14
+if test -f /etc/default/sems ; then
15
+  . /etc/default/sems
16
+fi
17
+
18
+
19
+if test "$SEMS_RUN" = "no" ; then
20
+    log_failure_msg "Sems start disabled by default file"
21
+    exit 0
22
+fi
23
+
24
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
25
+DAEMON=/usr/sbin/sems
26
+NAME=sems
27
+DESC=sems
28
+
29
+PARAMS=""
30
+
31
+if ! test -d $SEMS_RUNDIR ; then
32
+   mkdir $SEMS_RUNDIR
33
+fi
34
+chown $SEMS_USER:$SEMS_GROUP $SEMS_RUNDIR
35
+
36
+if test "$SEMS_PIDFILE" ; then
37
+  PARAMS="$PARAMS -P $SEMS_PIDFILE"
38
+fi
39
+
40
+if test "$SEMS_USER" ; then
41
+  PARAMS="$PARAMS -u $SEMS_USER"
42
+fi
43
+
44
+if test "$SEMS_GROUP" ; then
45
+  PARAMS="$PARAMS -g $SEMS_GROUP"
46
+fi
47
+
48
+if test "$SEMS_CFG_FILE" ; then
49
+  PARAMS="$PARAMS -f $SEMS_CFG_FILE"
50
+  CFGPARAMS="-f $SEMS_CFG_FILE"
51
+fi
52
+
53
+if test "$SEMS_CREATE_CORE" = "yes" ; then
54
+	# directory for the core dump files
55
+	[ -d $SEMS_COREDIR ] || mkdir $SEMS_COREDIR
56
+	chmod 777 $SEMS_COREDIR
57
+	echo "$SEMS_COREDIR/core.%e.sig%s.%p" > /proc/sys/kernel/core_pattern
58
+	echo 2 > /proc/sys/fs/suid_dumpable
59
+	ulimit -c unlimited
60
+fi
61
+
62
+# raise file descriptors limit - call hold consumes two fds for RTP ports and one for moh file
63
+ulimit -n 100000
64
+
65
+if ! test -f $DAEMON ; then
66
+  log_failure_msg "Error: cannot find $DAEMON"
67
+  exit 1
68
+fi
69
+
70
+LD_LIBRARY_PATH=/usr/lib/sems
71
+export LD_LIBRARY_PATH
72
+
73
+set -e
74
+
75
+case "$1" in
76
+  start)
77
+	log_daemon_msg "Starting $DESC: $NAME "
78
+	start-stop-daemon --start --quiet --oknodo --pidfile $SEMS_PIDFILE \
79
+		--exec $DAEMON -- $PARAMS
80
+	log_end_msg $?
81
+	;;
82
+  stop)
83
+	log_daemon_msg "Stopping $DESC: $NAME "
84
+	start-stop-daemon --oknodo --stop --quiet --pidfile $SEMS_PIDFILE \
85
+		--exec $DAEMON
86
+	log_end_msg $?
87
+	;;
88
+  restart|force-reload)
89
+	log_daemon_msg "Restarting $DESC: $NAME "
90
+	start-stop-daemon --oknodo --stop --quiet --pidfile \
91
+		$SEMS_PIDFILE --exec $DAEMON
92
+	sleep 5
93
+	start-stop-daemon --start --quiet --pidfile \
94
+		$SEMS_PIDFILE --exec $DAEMON  -- $PARAMS
95
+	echo "."
96
+	;;
97
+  status)
98
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
99
+       ;;
100
+  *)
101
+	N=/etc/init.d/$NAME
102
+	echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
103
+	exit 1
104
+	;;
105
+esac
106
+
107
+exit 0
108
+
0 109
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+sems: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1,25 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+# don't do anything when called with other argument than configure
6
+case "$1" in
7
+  configure)
8
+  ;;
9
+  abort-upgrade|abort-remove|abort-deconfigure)
10
+    exit 0
11
+  ;;
12
+  *)
13
+    echo "postinst called with unknown argument \$1'" >&2
14
+    exit 1
15
+  ;;
16
+esac
17
+
18
+# add sems user
19
+adduser --quiet --system --group --disabled-password --shell /bin/false \
20
+--gecos "SIP Express Media Server" --home /var/run/sems sems || true
21
+
22
+#DEBHELPER#
23
+
24
+exit 0
25
+
0 26
new file mode 100644
... ...
@@ -0,0 +1,18 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+#DEBHELPER#
6
+
7
+if [ "$1" = "purge" ] ; then
8
+  # remove user/group on purge
9
+  if [ -x "$(command -v deluser)" ]; then
10
+    deluser --quiet --remove-home sems >/dev/null 2>&1 || true
11
+  else
12
+    echo >&2 "not removing sems system account because deluser command was not found"
13
+  fi
14
+  # remove /etc/sems if empty
15
+  rmdir /etc/sems || true
16
+fi
17
+
18
+exit 0
0 19
new file mode 100644
1 20
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+3.0 (native)